# Use a pipeline as a high-level helper
from transformers import pipeline
import os

pipe = pipeline("translation", model="Helsinki-NLP/opus-mt-en-he")

def translate_all_files(root):
    for root, dirs, files in os.walk(root):
        for file in files:
            translated_file_name = pipe(file.split('.')[0])[0]['translation_text']
            extention = file.split('.')[-1]
            old_path = os.path.join(root, file)
            new_path = os.path.join(root, translated_file_name+'.'+extention)
            os.rename(old_path, new_path)
        for dir in dirs:            
            translate_all_files(os.path.join(root, dir))
            translated_dir_name = pipe(dir)[0]['translation_text']
            old_path = os.path.join(root, dir)
            new_path = os.path.join(root, translated_dir_name)
            os.rename(old_path, new_path)
            
if __name__ == "__main__":
    translate_all_files("./")
